input {
  @include placeholder-color($sso-color-placeholder);
  &:hover,
  &:focus,
  &.active {
    outline: none !important;
  }
}

.sso-form-group {
  margin-bottom: 20px;
  .sso-label {
    margin-top: 6px;
    transition: all 200ms;
    color: #828282;
  }
  &.error {
    .sso-form-control {
      border-color: $sso-error;
    }
    .sso-form-error {
      @extend %item-middle;
    }
  }
}

.sso-form-main {
  position: relative;
  @include border-radius($sso-input-border-radius);
  border: 1px solid $sso-input-border-color;
  padding: 4px $sso-input-padding-x;
  height: 45px;
  @extend %flex-column;
  &.onFocus {
    border-color: $sso-secondary;
  }
  &.active {
    .sso-label {
      margin-top: 0;
      font-size: 12px;
    }
    .sso-form-control {
      margin-top: -22px;
    }
  }
}

.sso-form-error {
  @include border-radius($sso-border-radius);
  border: 1px solid $sso-error;
  padding: 6.58px 10px 4.58px;
  font-size: 12px;
  color: $sso-error;
  margin: 5px 0 0 0;
  display: none;
  i {
    margin-right: 6px;
  }
}

.sso-show-pass {
  @include position-top-right(50%, 20px);
  transform: translateY(-50%);
  color: #5E6366;
  z-index: 999;
  cursor: pointer;
}

.sso-form-note {
  color: #828282;
  margin: 5px 0 0 20px;
}

.sso-form-control {
  padding: 20px 0 0 0;
  margin-top: -25px;
  border: none;
  font-size: $sso-font-size-base;
  @include size(100%, 40px);
  z-index: 9;
  background-color: transparent;
  &:hover,
  &:focus,
  &.active {
    border: none;
  }
}

.sso-check {
  position: relative;
  [class*="-input"] {
    @include position-top-left(0, 0);
    @include size(100%);
    opacity: 0;
    margin: 0;

    &:checked {
      + [class*="-icon"] {
        color: $sso-primary;
        &:before {
          content: '\f14a';
        }
      }
    }
  }
  [class*="-icon"] {
    color: $sso-input-border-color;
    margin-right: 8px;
    font-size: 16px;
    position: relative;
    top: 2px;
  }
}

.sso-form-check {
  [class*="-input"] {
    &:checked {
      + [class*="-icon"] {
        &:before {
          content: '\f192';
          font-weight: 400;
        }
      }
    }
  }
}